WebSocketParserD08.State (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.websocket

## Enum WebSocketParserD08.State

- java.lang.Object
- - java.lang.Enum<WebSocketParserD08.State>
  - - org.eclipse.jetty.websocket.WebSocketParserD08.State

- All Implemented Interfaces:
    Serializable, Comparable<WebSocketParserD08.State>
  Enclosing class:
    WebSocketParserD08

      public static enum WebSocketParserD08.State
      extends Enum<WebSocketParserD08.State>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATA`
    `LENGTH_16`
    `LENGTH_63`
    `LENGTH_7`
    `MASK`
    `OPCODE`
    `PAYLOAD`
    `SKIP`
    `START`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WebSocketParserD08.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WebSocketParserD08.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final WebSocketParserD08.State START

    - #### OPCODE

          public static final WebSocketParserD08.State OPCODE

    - #### LENGTH_7

          public static final WebSocketParserD08.State LENGTH_7

    - #### LENGTH_16

          public static final WebSocketParserD08.State LENGTH_16

    - #### LENGTH_63

          public static final WebSocketParserD08.State LENGTH_63

    - #### MASK

          public static final WebSocketParserD08.State MASK

    - #### PAYLOAD

          public static final WebSocketParserD08.State PAYLOAD

    - #### DATA

          public static final WebSocketParserD08.State DATA

    - #### SKIP

          public static final WebSocketParserD08.State SKIP

  - ### Method Detail

    - #### values

          public static WebSocketParserD08.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WebSocketParserD08.State c : WebSocketParserD08.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WebSocketParserD08.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.